Get account

Returns the credits, limits and usage of your key's environment.

GET/v1/account

credits is null for test keys.

curl -sS https://api.foodshot.ai/v1/account \  --max-time 60 \  -H "Authorization: Bearer $FOODSHOT_API_KEY"
Response 200 OK
{  "object": "account",  "id": "acme-eats",  "environment": "live",  "credits": {    "available": 712,    "low_balance": false,    "low_balance_threshold": 200,    "lots": [      {        "id": "lot_9iF8VdFw6H377trtTdF4OH",        "kind": "plan",        "remaining": 712,        "granted": 1000,        "expires_at": "2026-11-01T00:00:00.000Z"      }    ]  },  "limits": {    "parallel_jobs": 5,    "queued_jobs": 500,    "jobs_per_day": 300,    "day_resets_at": "00:00Z",    "new_jobs_per_minute": 60,    "requests_per_minute": 300  },  "usage": {    "today": {      "accepted": 37,      "succeeded": 30,      "failed": 1    },    "month": {      "accepted": 812,      "succeeded": 790,      "failed": 9    }  },  "key": {    "id": "key_Qbv9XAAWzwlrKrWrmOePgG",    "prefix": "fs_live_AbC4"  }}

Responses

StatusMeaning
200The account.

Like every endpoint, this one can also answer 401, 403, 429, 500 or 503. Every error has the same body. Errors says what each code means and what to do.